Error 500 while upgrading from 2.x to 3.x

More
5 months 3 weeks ago #169991 by dakis21
dakis21 created the topic: Error 500 while upgrading from 2.x to 3.x
I tried the comfortupdate from my last v2 limesurvey (I think it was 2.76) to the last 3.x version, and it went through all the steps without any problems.

At the end of the process it asked me to clear the browser cache and then hit continue, to upgrade the database. I did that, and now all I'm getting is an Error 500, that my site "is currently unable to handle this request."

This happens in the URL mysite.com/index.php/admin/databaseupdate/sa/db

If I try the admin url, it redirects me back to the above url, giving me this error.

Any ideas how I can salvage this?

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170008 by LouisGac
LouisGac replied the topic: Error 500 while upgrading from 2.x to 3.x
could you please turn debug mode on?

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170009 by dakis21
dakis21 replied the topic: Error 500 while upgrading from 2.x to 3.x
Sure, how do I turn debug mode on? I don't have access to the admincp anymore, and I'm looking at the database tables but don't see anything yet. Is it in the settings table?

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170011 by dakis21
dakis21 replied the topic: Error 500 while upgrading from 2.x to 3.x
Nevermind, I found it and enabled it in my config.php. Now I get this error:

Fatal error: Class 'ls\pluginmanager\PluginBase' not found in /home4/defkalion/netbitsweb.com/survey/plugins/statsPivotTable/statsPivotTable.php on line 11

So obviously I have to somehow disable plugins and it should be fixed hopefully :)

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170012 by LouisGac
LouisGac replied the topic: Error 500 while upgrading from 2.x to 3.x
in the file application/config/config.php

you'll find a string at the end of the file saying:
"'debug'=>0,"

replace it by:

"'debug'=>2,"
The following user(s) said Thank You: dakis21

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170013 by dakis21
dakis21 replied the topic: Error 500 while upgrading from 2.x to 3.x
Yes so it's a problem with that plugin above. How do I disable that plugin or all plugins? I'm looking at the manual but can't find anything yet.

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170014 by ollehar
ollehar replied the topic: Error 500 while upgrading from 2.x to 3.x
Hi,

In your database there's a table called <prefix>_plugins. Set field "active" to 0 for the faulty plugin and LimeSurvey should load correctly.
The following user(s) said Thank You: dakis21

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170015 by ollehar
ollehar replied the topic: Error 500 while upgrading from 2.x to 3.x
NB: In the development branch we've added logic to automatically disable plugins that won't load due to similar errors. We haven't backported this feature to LS3 yet.

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #170016 by dakis21
dakis21 replied the topic: Error 500 while upgrading from 2.x to 3.x
Thanks both, I have access to my admincp again :)

I appreciate the assistance!
The following user(s) said Thank You: LouisGac

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #170550 by DenisChenu
DenisChenu replied the topic: Error 500 while upgrading from 2.x to 3.x

dakis21 wrote: Fatal error: Class 'ls\pluginmanager\PluginBase' not found in /home4/defkalion/netbitsweb.com/survey/plugins/statsPivotTable/statsPivotTable.php on line 11

Plugin updated to be 3.0 compatible.
gitlab.com/SondagesPro/ExportAndStats/statsPivotTable

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .
The following user(s) said Thank You: dakis21

Please Log in or Create an account to join the conversation.

More
5 months 1 week ago #170564 by dakis21
dakis21 replied the topic: Error 500 while upgrading from 2.x to 3.x
Thank you for letting me know!

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!